Subject: bug#71376: 14.0.5; find-file-at-point doesn't work in LaTeX-mode

From: Ikumi Keita <[email-masked]>
Date: Thu, 06 Jun 2024 14:24:28 +0900

Hi Arash,

>>>>> Arash Esbati <[email-masked]> writes:
> Thanks for raising this issue.  I don't use `ffap', but the issue is
> that AUCTeX has changed the mode names.  Following your code, the
> following change should fix the issue, right?  Can you give it a try?  I
> can propose it for Emacs.

> --8<---------------cut here---------------start------------->8---
> diff --git a/lisp/ffap.el b/lisp/ffap.el
> index b2b681b7c44..f6d663a778b 100644
> --- a/lisp/ffap.el
> +++ b/lisp/ffap.el
> @@ -753,6 +753,8 @@ ffap-alist
>      ("\\.[fF]\\'" . ffap-fortran-mode)
>      (tex-mode . ffap-tex-mode)         ; search ffap-tex-path
>      (latex-mode . ffap-latex-mode)     ; similar
> +    (TeX-mode . ffap-tex-mode)          ; AUCTeX v14 counterpart
> +    (LaTeX-mode . ffap-latex-mode)      ; ditto
>      ("\\.\\(tex\\|sty\\|doc\\|cls\\)\\'" . ffap-tex)
>      ("\\.bib\\'" . ffap-bib)           ; search ffap-bib-path
>      ("\\`\\." . ffap-home)             ; .emacs, .bashrc, .profile
> @@ -1065,6 +1067,9 @@ ffap-string-at-point-mode-alist
>      ;; (La)TeX: don't allow braces
>      (latex-mode "--:\\\\$+<>@-Z_[:alpha:]~*?" "<@" "@>;.,!:")
>      (tex-mode "--:\\\\$+<>@-Z_[:alpha:]~*?" "<@" "@>;.,!:")
> +    ;; AUCTeX v14 counterparts:
> +    (LaTeX-mode "--:\\\\$+<>@-Z_[:alpha:]~*?" "<@" "@>;.,!:")
> +    (TeX-mode "--:\\\\$+<>@-Z_[:alpha:]~*?" "<@" "@>;.,!:")
>      ;; XML: don't allow angle brackets
>      (xml-mode "--:\\\\${}+@-Z_[:alpha:]~*?#" "{<@" "@>;.,!:}")
>      (nxml-mode "--:\\\\${}+@-Z_[:alpha:]~*?#" "{<@" "@>;.,!:}")
> --8<---------------cut here---------------end--------------->8---

It seems dubious to include `TeX-mode' here because it is used for only
a parent of other AUCTeX major modes and isn't meant for a major mode of
an actual buffer. Unless the user explicitly does M-x TeX-mode, no
buffers would be in `TeX-mode'.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW